Subject: QUICv2

From: Martin Duke <[email-masked]>
Date: Mon, 18 Oct 2021 16:48:00 -0700

Hello QUIC enthusiasts,

I would like to remind you of the QUICv2 individual draft:
https://github.com/martinduke/draft-duke-quic-v2

This draft spurred some interesting questions about ALPN and version
numbering conventions that we briefly discussed at IETF 111, but didn't
resolve. Discussion here: https://youtu.be/R7q8cWIAIDQ?t=6233, although
I've closed the issue in github
<https://github.com/martinduke/draft-duke-quic-v2/issues/5> for now.

There has been loose talk in the past about shipping a v2 relatively
quickly for various reasons. The draft is pretty simple, and I suspect
there's not much more polishing to be done -- but I've been surprised
before!

So, if people are interested in doing this, let's adopt it. If no one
actually wants to deploy it, I'll stop working on it. Thoughts? Do we need
to discuss it at IETF 112? Or is there a reason to defer an adoption call?

Martin